summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jockey S. Kyd <jockey.kyd@gmail.com>2011-09-05 16:59:45 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-09-05 16:59:45 -0500
commit88f2c5e70adc4d9ec141e94989e808bb93dfe7ea (patch)
tree21f849773d3ea4d2ba31890d09ced59ce8529e0a
parentbd58abb0f905f1eccd1880568ab60dd93e92ec6b (diff)
downloadslackbuilds-88f2c5e70adc4d9ec141e94989e808bb93dfe7ea.tar.gz
slackbuilds-88f2c5e70adc4d9ec141e94989e808bb93dfe7ea.tar.xz
development/bigloo: Added (Bigloo Scheme implementation)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/bigloo/README4
-rw-r--r--development/bigloo/bigloo.SlackBuild87
-rw-r--r--development/bigloo/bigloo.info10
-rw-r--r--development/bigloo/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/development/bigloo/README b/development/bigloo/README
new file mode 100644
index 0000000000..44b12bb2d5
--- /dev/null
+++ b/development/bigloo/README
@@ -0,0 +1,4 @@
+Bigloo is a Scheme implementation devoted to one goal: enabling Scheme based
+programming style where C(++) is usually required. Bigloo attempts to make
+Scheme practical by offering features usually presented by traditional
+programming languages but not offered by Scheme and functional programming.
diff --git a/development/bigloo/bigloo.SlackBuild b/development/bigloo/bigloo.SlackBuild
new file mode 100644
index 0000000000..4aeb3ac61e
--- /dev/null
+++ b/development/bigloo/bigloo.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+#
+# Written by Jockey S. Kyd (jockey dot kyd at gmail dot com)
+# Public domain
+
+PRGNAM=bigloo
+VERSION=3.6a
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM$VERSION
+tar xvf $CWD/$PRGNAM$VERSION.tar.gz
+cd $PRGNAM$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# fix canonical system name detected during configuration
+# e.g. x86_64-unknown-linux-gnu -> x86_64-slackware-linux-gnu
+sed -ri '/^(build|host)=/ s/`$/ | sed "s:-unknown-:-slackware-:"` /' \
+ autoconf/gcconfigureopt
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --mandir=/usr/man/man1 \
+ --infodir=/usr/info
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file \
+ | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null \
+ || true
+
+rm -f $PKG/usr/info/dir
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp COPYING ChangeLog INSTALL INSTALL.jvm LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/bigloo/bigloo.info b/development/bigloo/bigloo.info
new file mode 100644
index 0000000000..5ade8d873f
--- /dev/null
+++ b/development/bigloo/bigloo.info
@@ -0,0 +1,10 @@
+PRGNAM="bigloo"
+VERSION="3.6a"
+HOMEPAGE="http://www-sop.inria.fr/mimosa/fp/Bigloo/"
+DOWNLOAD="ftp://ftp-sop.inria.fr/indes/fp/Bigloo/bigloo3.6a.tar.gz"
+MD5SUM="484c09cd0e0f84c96999d889de35cd1e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jockey S. Kyd"
+EMAIL="jockey.kyd@gmail.com"
+APPROVED="rworkman"
diff --git a/development/bigloo/slack-desc b/development/bigloo/slack-desc
new file mode 100644
index 0000000000..4fda59e04a
--- /dev/null
+++ b/development/bigloo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bigloo: bigloo (Bigloo Scheme)
+bigloo:
+bigloo: Bigloo is a Scheme implementation devoted to one goal: enabling
+bigloo: Scheme based programming style where C(++) is usually required.
+bigloo: Bigloo attempts to make Scheme practical by offering features usually
+bigloo: presented by traditional programming languages but not offered by
+bigloo: Scheme and functional programming.
+bigloo:
+bigloo: http://www-sop.inria.fr/mimosa/fp/Bigloo/
+bigloo:
+bigloo: